# DataExchange
TKIGES
IGESSolid

# IGESSolid_CylindricalSurface Class Reference

defines CylindricalSurface, Type <192> Form Number <0,1>
in package IGESSolid

`#include <IGESSolid_CylindricalSurface.hxx>`

Inheritance diagram for IGESSolid_CylindricalSurface:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_CylindricalSurface ()
Standard_EXPORT void | Init (const Handle(IGESGeom_Point)&aLocation, const Handle(IGESGeom_Direction)&anAxis, const Standard_Real aRadius, const Handle(IGESGeom_Direction)&aRefdir)
| This method is used to set the fields of the class CylindricalSurface - aLocation : the location of the point on axis - anAxis : the direction of the axis - aRadius : the radius at the axis point - aRefdir : the reference direction (parametrised surface) default NULL (unparametrised surface) .
Standard_EXPORT Handle_IGESGeom_Point | LocationPoint () const
| returns the point on the axis
Standard_EXPORT Handle_IGESGeom_Direction | Axis () const
| returns the direction on the axis
Standard_EXPORT Standard_Real | Radius () const
| returns the radius at the axis point
Standard_EXPORT Standard_Boolean | IsParametrised () const
| returns whether the surface is parametrised or not
Standard_EXPORT Handle_IGESGeom_Direction | ReferenceDir () const
| returns the reference direction only for parametrised surface else returns NULL
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESGeom_Point | theLocationPoint
Handle_IGESGeom_Direction | theAxis
Standard_Real | theRadius
Handle_IGESGeom_Direction | theRefDir

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_CylindricalSurface::IGESSolid_CylindricalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_CylindricalSurface::Axis | ( |  | ) | const

Standard_EXPORT const IGESSolid_CylindricalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_CylindricalSurface::Init | ( | const Handle(IGESGeom_Point)& | aLocation,
|  | const Handle(IGESGeom_Direction)& | anAxis,
|  | const Standard_Real | aRadius,
|  | const Handle(IGESGeom_Direction)& | aRefdir
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_CylindricalSurface::IsParametrised | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Point IGESSolid_CylindricalSurface::LocationPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_CylindricalSurface::Radius | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_CylindricalSurface::ReferenceDir | ( |  | ) | const

## Field Documentation

Handle_IGESGeom_Direction IGESSolid_CylindricalSurface::theAxis `[private]`

Handle_IGESGeom_Point IGESSolid_CylindricalSurface::theLocationPoint `[private]`

Standard_Real IGESSolid_CylindricalSurface::theRadius `[private]`

Handle_IGESGeom_Direction IGESSolid_CylindricalSurface::theRefDir `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_CylindricalSurface.hxx